dofile(ModPath.."Hooks/setup.lua")

Hooks:PostHook(InfamyTreeItem, "setup_content_panel", "moreixp_iti_setup_content_panel", function(self)
  if MoreIXP._settings.showCards then
    self.name_id = self.data.tier_data.name_id
    self.desc_id = self.data.tier_data.desc_id
  end
end)

Hooks:PreHook(InfamyTreeItem, "get_item_texture_and_rect", "moreixp_iti_pre_get_item_texture_and_rect", function(self)
	if MoreIXP._settings.showCards then
		self.locked_old = self.locked
		self.locked = false
		self.can_unlock_old = self.can_unlock
		self.can_unlock = false
	end
end)

Hooks:PostHook(InfamyTreeItem, "get_item_texture_and_rect", "moreixp_iti_post_get_item_texture_and_rect", function(self)
	if MoreIXP._settings.showCards then
		self.locked = self.locked_old
		self.can_unlock = self.can_unlock_old
	end
end)

Hooks:PostHook(InfamyTreeItem, "is_open", "moreixp_iti_is_open", function(self)
	return MoreIXP._settings.showCards and true or (not self.locked and not self.can_unlock)
end)